org.apache.ignite.internal.processors.cache.persistence.file

## Class RandomAccessFileIOFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.RandomAccessFileIOFactory

All Implemented Interfaces:
  Serializable, FileIOFactory

    public class RandomAccessFileIOFactory
    extends Object
    implements FileIOFactory

File I/O factory which provides RandomAccessFileIO implementation of FileIO.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RandomAccessFileIOFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileIO` `create(File file, OpenOption... modes)` Creates I/O interface for file with specified mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory

`create`

### Constructor Detail

#### RandomAccessFileIOFactory

    public RandomAccessFileIOFactory()

### Method Detail

#### create

    public FileIO create(File file,
                         OpenOption... modes)
                  throws IOException

Creates I/O interface for file with specified mode.

Specified by:
  `create` in interface `FileIOFactory`
Parameters:
  `file` - File
  `modes` - Open modes.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020